<div class="container">
	<div class="row">
		<div class="col-sm"></div>
		<div class="col-sm">
			<div class="card" style="width: 18rem;" >
				<img class="card-img-top" src="https://media.licdn.com/dms/image/C560BAQFFoQ8UvnzAhA/company-logo_200_200/0?e=2159024400&v=beta&t=g8fRttiksXw73n43ghGsdXUmH-d5UpPjog_VZRjKyg4" alt="Card image cap">
				<div class="progressContainer">
					<div class="progress" *ngIf="(user | async)?.loading === true">
						<div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%"></div>
					</div>
				</div>
				<div class="card-body" >
					<h5 class="card-title">Login</h5>
					{{ (user | async) | json }}
					<a *ngIf="!(user | async)?.uid" class="btn btn-primary" (click)="googleLogin()">Google login</a>
					<a *ngIf="(user | async)?.uid" class="btn btn-primary" (click)="logout()">Google Logout</a>
				</div>
			</div>
		</div>
		<div class="col-sm"></div>
	</div>
</div>